----------------------------------------------------------------
--
-- ScenarioVictoryProgress.lua
--
----------------------------------------------------------------
include("\ScenarioUtilities.lua")

---------------------------------------------------------------------
function OnUpdate()
	

	-- Check for a domination victory or out of turns
	if (IsScenarioLastManStanding()) then
		ScenarioWin(ContextPtr, Players[Game.GetActivePlayer()], "VICTORY_DOMINATION")
	elseif (IsScenarioOutOfTurns()) then
		ScenarioLose(ContextPtr)
	else
		-- Update the victory progress banner
		 
		Controls.VictoryProgressLabel:LocalizeAndSetText("TXT_KEY_SCENARIO_TURNS_AND_OPPONENTS_REMAINING", ScenarioTurnsRemaining(), ScenarioCountOpponents());
		Controls.Grid:DoAutoSize();
	end
end
ContextPtr:SetUpdate(OnUpdate)

---------------------------------------------------------------------
function OnBriefingButton()
    UI.AddPopup( { Type = ButtonPopupTypes.BUTTONPOPUP_TEXT,
                   Data1 = 500,
                   Option1 = true,
                   Text = "TXT_KEY_SCENARIO_BRIEFING_TEXT" } );
end
Controls.BriefingButton:RegisterCallback(Mouse.eLClick, OnBriefingButton);

-----------------------------------------------------------------------
